> ## Documentation Index
> Fetch the complete documentation index at: https://developers.argosidentity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# PATCH /profiles/:profileId

> Update a profile's name or metadata.

## Endpoint

```
PATCH /v1/profiles/{profileId}
```

## Request

```bash theme={null}
curl -X PATCH "http://client-omni-api.argosidentity.com/v1/profiles/{profileId}" \
  -H "x-api-key: your-api-key-here" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "John Doe - Updated",
    "metadata": { "internalRef": "CASE-2026-001" }
  }'
```

### Request Body

<ResponseField name="name" type="string">
  Updated display name for the profile
</ResponseField>

<ResponseField name="description" type="string">
  Updated profile description
</ResponseField>

<ResponseField name="metadata" type="object">
  Updated custom metadata (replaces entire metadata object, not merged)
</ResponseField>

## Response

```json theme={null}
{
  "id": "pf_a1b2c3d4",
  "workflowId": "wf_7a3f9c2e",
  "name": "John Doe - Updated",
  "description": "Updated description",
  "metadata": { "internalRef": "CASE-2026-001" },
  "itemsCount": 3,
  "lastAnalysisAt": "2026-03-15T10:30:00Z",
  "createdAt": "2026-03-15T10:00:00Z",
  "updatedAt": "2026-03-15T11:00:00Z"
}
```

### Error Codes

| Status | Code                | Description       |
| ------ | ------------------- | ----------------- |
| 404    | `PROFILE_NOT_FOUND` | Profile not found |
